| Home | Libraries | People | FAQ | More

#### boost::mqtt5::prop::properties

Base class for different Property classes that contains common access and modification functions.

##### Synopsis

Defined in header `<boost/mqtt5/property_types.hpp>`

    template<
        property_type ... Ps>
    class properties;

##### Member Functions

Name | Description
--- | ---
apply_on | Applies a function to a Property identified by its ID.
operator[] | Accesses the value of a Property by its compile-time constant ID.
visit | Invokes a visitor function on each Property.

Convenience header `<boost/mqtt5.hpp>`